SystemOrganization addCategory: #MSFTM!

Object subclass: #RoleManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Object subclass: #Topic
	instanceVariableNames: 'ownerUser managersUsers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Topic subclass: #Course
	instanceVariableNames: 'name category disciplines'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Topic subclass: #Discipline
	instanceVariableNames: 'acronym chiefInstructor lessons groups courses'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Topic subclass: #Group
	instanceVariableNames: 'code instructor year semester'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Topic subclass: #Lesson
	instanceVariableNames: 'description materials'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Topic subclass: #TeachingMaterial
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Object subclass: #TopicManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

Object subclass: #User
	instanceVariableNames: 'name role createdTopics managedTopics'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:32'!
addCreatedTopic: aTopic
	"Adiciona um novo tpico a lista de tpicos criados pelo usurio"

	createdTopics add: aTopic.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:40'!
addManagedTopic: aTopic
	"Adiciona um novo tpico a lista de tpicos moderados pelo usurio"

	managedTopics add: aTopic.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:41'!
getCreatedTopics
	"Devolve uma coleo com todos os tpicos criados pelo usurio"

	^createdTopics.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:41'!
getManagedTopics
	"Devolve uma coleo com todos os tpicos moderados pelo usurio"

	^managedTopics.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:13'!
initialize
	"Realiza a inicializao das variveis de instncia"

	super initialize.
	name := ''.
	role := ''.
	createdTopics := Set new. 
	managedTopics := Set new.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:17'!
name
	"Devolve o nome do usurio"

	^name.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:17'!
name: aString
	"Define o nome do usurio"

	name := aString.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:24'!
role
	"Devolve o privilgio do usurio"

	^ role.! !

!User methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:24'!
role: aString
	"Define o privilgio do usurio"

	role := aString.! !

Object subclass: #UserManager
	instanceVariableNames: 'users'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MSFTM'!

!UserManager methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:05'!
addUser: aUser
	"Adiciona um novo usurio na lista de usurios, caso no exista"

	users add: aUser.! !

!UserManager methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:06'!
getAllUsers
	"Devolve uma coleo com todos os usurios cadastrados"

	^ users.
	! !

!UserManager methodsFor: 'as yet unclassified' stamp: 'RW 5/15/2013 09:08'!
initialize
	"Realiza a inicializao das variveis de instncia"
	super initialize.
	users := Set new.! !
